%define anolis_release 10

%global real_version   0.83

Name:           perl-DateTime-Format-Builder
# 0.83 in reality, but rpm can't get it
Version:        0.8300
Release:        %{anolis_release}%{?dist}
Summary:        Create DateTime parser classes and objects        
# examples/W3CDTF.pm:               GPL-1.0-or-later OR Artistic-1.0-Perl
# examples/MySQL.pm:                GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/DateTime/Format/Builder.pm:   Artistic-2.0
# LICENSE:                          Artistic-2.0 text
License:        Artistic-2.0 AND (GPL-1.0-or-later OR Artistic-1.0-Perl)
URL:            https://metacpan.org/release/DateTime-Format-Builder            
Source0:        https://cpan.metacpan.org/modules/by-module/DateTime/DateTime-Format-Builder-%{real_version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  sed
# Module Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(DateTime) >= 1.00
BuildRequires:  perl(DateTime::Format::Strptime) >= 1.04
BuildRequires:  perl(Params::Validate) >= 0.72
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 0.88
# Dependencies
Provides:       perl(DateTime::Format::Builder) = %{version}

# Avoid doc-file dependencies from tests
%{?perl_default_filter}

%description
DateTime::Format::Builder creates DateTime parsers. Many string formats of
dates and times are simple and just require a basic regular expression to
extract the relevant information. Builder provides a simple way to do this
without writing reams of structural code.

Builder provides a number of methods, most of which you'll never need, or at
least rarely need. They're provided more for exposing of the module's innards
to any sub-classes, or for when you need to do something slightly beyond what
is expected.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n DateTime-Format-Builder-%{real_version}

# POD doesn't like E<copy> very much...
perl -pi -e 's/E<copy>/(C)/' `find lib/ -type f`

# Silence rpmlint
sed -i '1s~^#!.*perl~#!%{__perl}~' t/*.t

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc examples/ t/
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::Format::Builder.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser::Dispatch.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser::Quick.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser::Regex.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser::Strptime.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser::generic.3*
%{_mandir}/man3/DateTime::Format::Builder::Tutorial.3*

%files doc
%doc Changes CODE_OF_CONDUCT.md CONTRIBUTING.md README.md

%changelog
* Sat Feb 11 2023 Funda Wang <fundawang@yeah.net> - 0.8300-10
- Import package for anolis 23
